<?php
include_once(_DIR_EXT.'/HTML/c_page_TXT.php') ;
include_once(_DIR_TO_ENGINE.'/admin/i_admin_system.php') ;
class c_page_cab_upload_files_recipient extends c_page_TXT
{
  function c_page_json() {}
  function body()
  { $res=array() ; ob_start() ;
    if (_sizeof($_FILES)) $res=$this->upload_doc() ;
    $res['report']=ob_get_clean() ;
    $text_json_out=json_encode($res,JSON_UNESCAPED_UNICODE) ;
    echo $text_json_out ;
  }

  function upload_doc()
  {   $result=array() ;
      if (_sizeof($_FILES))
       { foreach($_FILES as $file_info)
	       {  // загружаем файл во временную директорию в возвращаем скрытую переменную с именем
		       $upload_file_dir=upload_file($file_info,_TEMP_DIR,array('view_upload'=>1)) ;
		       // если файл загружен - создаем переменную форму
	            if ($upload_file_dir)
	             {  list($size_info,$file_type)=get_small_file_info($upload_file_dir) ;
	                if ($size_info>0)
	                { $file_name=basename($upload_file_dir) ;
	                  ?><input type="hidden" name="upload_files[]" value="<?echo $file_name?>"><?
	                }
	             }
	       }
         $result['status']='ok'  ;
       }
       else $result['status']='error'  ;
       return($result) ;
    }



}
